////////////////////////////////////////////////////////////////////////////////
//   ____  ____   
//  /   /\/   /  
// /___/  \  /   
// \   \   \/  
//  \   \        Copyright (c) 2003-2004 Xilinx, Inc.
//  /   /        All Right Reserved. 
// /---/   /\     
// \   \  /  \  
//  \___\/\___\
////////////////////////////////////////////////////////////////////////////////

#ifndef H_Proc_common_v2_00_a_proc_common_pkg_H
#define H_Proc_common_v2_00_a_proc_common_pkg_H

#ifdef __MINGW32__
#include "xsimMinGW.h"
#else
#include "xsim.h"
#endif


#include "ieee/std_logic_unsigned/std_logic_unsigned.h"
#include "ieee/std_logic_arith/std_logic_arith.h"
#include "ieee/std_logic_1164/std_logic_1164.h"

class Proc_common_v2_00_a_proc_common_pkg: public HSim__s6 {
public:
  HSimArrayType Char_to_int_typebase;
  HSimArrayType Char_to_int_type;
/* subprogram name max2 */
int Gu(const int En, const int Eq);
/* subprogram name min2 */
int GC(const int Ex, const int Ez);
/* subprogram name Addr_Bits */
int GL(const char *EG, const HSimConstraints *constrEG, const char *EI, const HSimConstraints *constrEI);
/* subprogram name pad_power2 */
int GS(const int EP);
/* subprogram name pad_4 */
int GY(const int EV);
/* subprogram name log2 */
int G15(const int E12);
/* subprogram name pwr */
int G1d(const int E18, const int E1a);
/* subprogram name String_To_Int */
int G1k(const char *E1h, const HSimConstraints *constrE1h);
/* subprogram name itoa */
char *G1s(HSimConstraints *reConstr, const int E1p);
HSim__s4 E1v;
  char *t0;
HSim__s4 E2g;

public:

public:
  Proc_common_v2_00_a_proc_common_pkg(const HSimString &name);
  ~Proc_common_v2_00_a_proc_common_pkg();
};

extern Proc_common_v2_00_a_proc_common_pkg *Proc_common_v2_00_aProc_common_pkg;

#endif
